<?php

return [
    'lean' => [
        'autoload' => [
            'lean.default',
            getenv('DEBUG') ? 'lean.console' : null,
            '%APPKEY%',
        ],
    ],

    'keys' => (function() {
        return explode(',', getenv('KEYS') ?? "") ;
    })(),

    'meta' => [
        'application_name' => "",
    ],

    'ulmus' => [
        'connections' => [
            'default' => [
                'adapter'  => getenv("DATABASE_ADAPTER"),
                'host'     => getenv("DATABASE_HOST"),
                'port'     => getenv("DATABASE_PORT"),
                'database' => getenv("DATABASE_NAME"),
                'username' => getenv("DATABASE_USERNAME"),
                'password' => getenv("DATABASE_PASSWORD"),
                'settings' => [
                    'charset' => getenv("DATABASE_CHARSET"),
                ],
            ],

            'sqlite' => [
                'adapter'  => getenv("SQLITE_ADAPTER"),
                'path'     => getenv('PROJECT_PATH') . DIRECTORY_SEPARATOR . getenv("SQLITE_PATH"),
                'pragma'   => explode(',', getenv("SQLITE_PRAGMA")),
                'pragma_begin' => array_merge(
                     explode(',', getenv("SQLITE_PRAGMA_BEGIN")), explode(',', getenv('DEBUG') ? getenv("SQLITE_PRAGMA_DEBUG_BEGIN") : "")
                 ),
                 'pragma_close' => array_merge(
                     explode(',', getenv("SQLITE_PRAGMA_CLOSE")), explode(',', getenv('DEBUG') ? getenv("SQLITE_PRAGMA_DEBUG_CLOSE") : "")
                 ),
            ],
        ]
    ]
];
